import{s as S,n as U,o as z}from"../chunks/scheduler.69131cc3.js";import{S as G,i as R,g as c,s as m,r as A,A as j,h as d,f as t,c as u,j as $,u as E,x as D,k as T,y as k,a as r,v as I,d as N,t as q,w as C}from"../chunks/index.e1f30d73.js";import{D as B}from"../chunks/Docstring.ae1a1e2d.js";import{H as O}from"../chunks/Heading.0aab6758.js";function V(H){let n,f,h,g,o,x,l,L='These docs refer to the <a href="https://github.com/PyTorch/PiPPy" rel="nofollow">PiPPy</a> integration.',y,s,i,b,p,M="Wraps <code>model</code> for PipelineParallelism",P,_,v;return o=new O({props:{title:"The inference API",local:"accelerate.prepare_pippy",headingTag:"h1"}}),i=new B({props:{name:"accelerate.prepare_pippy",anchor:"accelerate.prepare_pippy",parameters:[{name:"model",val:""},{name:"split_points",val:" = 'auto'"},{name:"no_split_module_classes",val:" = None"},{name:"example_args",val:" = ()"},{name:"example_kwargs",val:": Optional = None"},{name:"num_chunks",val:" = None"}],parametersDescription:[{anchor:"accelerate.prepare_pippy.model",description:`<strong>model</strong> (<code>torch.nn.Module</code>) &#x2014;
A model we want to split for pipeline-parallel inference`,name:"model"},{anchor:"accelerate.prepare_pippy.split_points",description:`<strong>split_points</strong> (<code>str</code>, defaults to &#x2018;auto&#x2019;) &#x2014;
How to generate the split points and chunk the model across each GPU. &#x2018;auto&#x2019; will find the best balanced
split given any model.`,name:"split_points"},{anchor:"accelerate.prepare_pippy.no_split_module_classes",description:`<strong>no_split_module_classes</strong> (<code>List[str]</code>) &#x2014;
A list of class names for layers we don&#x2019;t want to be split.`,name:"no_split_module_classes"},{anchor:"accelerate.prepare_pippy.example_args",description:`<strong>example_args</strong> (tuple of <code>torch.Tensor</code>) &#x2014;
The expected inputs for the model that uses order-based inputs. Recommended to use this method if possible.`,name:"example_args"},{anchor:"accelerate.prepare_pippy.example_kwargs",description:`<strong>example_kwargs</strong> (dict of <code>torch.Tensor</code>) &#x2014;
The expected inputs for the model that uses dictionary-based inputs. This is a <em>highly</em> limiting structure
that requires the same keys be present at <em>all</em> inference calls. Not recommended unless the prior condition
is true for all cases.`,name:"example_kwargs"},{anchor:"accelerate.prepare_pippy.num_chunks",description:`<strong>num_chunks</strong> (<code>int</code>) &#x2014;
The number of different stages the Pipeline will have. By default it will assign one chunk per GPU, but
this can be tuned and played with. In general one should have num_chunks &gt;= num_gpus.`,name:"num_chunks"}],source:"https://github.com/huggingface/accelerate/blob/main/src/accelerate/inference.py#L107"}}),{c(){n=c("meta"),f=m(),h=c("p"),g=m(),A(o.$$.fragment),x=m(),l=c("p"),l.innerHTML=L,y=m(),s=c("div"),A(i.$$.fragment),b=m(),p=c("p"),p.innerHTML=M,P=m(),_=c("p"),this.h()},l(e){const a=j("svelte-u9bgzb",document.head);n=d(a,"META",{name:!0,content:!0}),a.forEach(t),f=u(e),h=d(e,"P",{}),$(h).forEach(t),g=u(e),E(o.$$.fragment,e),x=u(e),l=d(e,"P",{"data-svelte-h":!0}),D(l)!=="svelte-x3n7zx"&&(l.innerHTML=L),y=u(e),s=d(e,"DIV",{class:!0});var w=$(s);E(i.$$.fragment,w),b=u(w),p=d(w,"P",{"data-svelte-h":!0}),D(p)!=="svelte-1q252ak"&&(p.innerHTML=M),w.forEach(t),P=u(e),_=d(e,"P",{}),$(_).forEach(t),this.h()},h(){T(n,"name","hf:doc:metadata"),T(n,"content",W),T(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){k(document.head,n),r(e,f,a),r(e,h,a),r(e,g,a),I(o,e,a),r(e,x,a),r(e,l,a),r(e,y,a),r(e,s,a),I(i,s,null),k(s,b),k(s,p),r(e,P,a),r(e,_,a),v=!0},p:U,i(e){v||(N(o.$$.fragment,e),N(i.$$.fragment,e),v=!0)},o(e){q(o.$$.fragment,e),q(i.$$.fragment,e),v=!1},d(e){e&&(t(f),t(h),t(g),t(x),t(l),t(y),t(s),t(P),t(_)),t(n),C(o,e),C(i)}}}const W='{"title":"The inference API","local":"accelerate.prepare_pippy","sections":[],"depth":1}';function F(H){return z(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends G{constructor(n){super(),R(this,n,F,V,S,{})}}export{Y as component};
